/* Large desktops and laptops */
@media (min-width: 1200px) {

}

/* Large desktops and laptops */
@media (max-width: 1600px) {
  body.zoom {
    zoom: 1; /* IE */
  }
}

/* IE */
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  body.zoom {
    zoom: 1; /* IE */
  }
}

/* Large desktops and laptops */
@media (max-width: 480px) {
  body.zoom {
    zoom: 1; /* IE */
  }
}

@font-face {
  font-family: 'Avenir-Next-Regular';
  src: local('Avenir-Next-Regular'), url('../fonts/Avenir-Next-Regular.otf') format('truetype');
}

@font-face {
  font-family: 'Avenir-Next-Bold';
  src: local('Avenir-Next-Bold'), url('../fonts/Avenir-Next-Bold.otf') format('truetype');
}

body {
  font-family: 'Avenir-Next-Regular', sans-serif;
  background-color: #ffffff;
  color: #000000;
  font-size: 14px;
}

a {
  text-decoration: none !important;
}

input[type='number'] {
  -moz-appearance: textfield;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

.black-gradient {
  margin-top: -240px;
  height: 240px;
  z-index: 999;
  background: rgba(0,0,0,1);
  background: -moz-linear-gradient(bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
  background: -webkit-linear-gradient(bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
  background: -o-linear-gradient(bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
  background: -ms-linear-gradient(bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
  background: linear-gradient(to top, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
  
}

.display-flex {
  display: flex;
  align-items: center;
}

.pointer {
  cursor: pointer;
}

.text-yellow {
  color: #F8E71C;
}

.opacity-50 {
  opacity: .5;
}

.content-color-360 {
  padding-left: 10%;
  padding-right: 10%;
}

.text-gray {
  color: #979797;
}

.padding-left-0 {
  padding-left: 0;
}

.padding-left-10 {
  padding-left: 10px;
}

.padding-left-20 {
  padding-left: 20px;
}

.padding-left-30 {
  padding-left: 30px;
}

.padding-left-60 {
  padding-left: 60px;
}

.padding-right-0 {
  padding-right: 0;
}

.padding-right-10 {
  padding-right: 10px;
}

.padding-right-20 {
  padding-right: 20px;
}

.padding-right-30 {
  padding-right: 30px;
}

.padding-right-60 {
  padding-right: 60px;
}

.margin-top-10 {
  margin-top: 10px;
}

.margin-top-15 {
  margin-top: 15px;
}

.margin-top-20 {
  margin-top: 20px;
}

.margin-top-30 {
  margin-top: 30px;
}

.margin-top-60 {
  margin-top: 60px;
}

.margin-bottom-10 {
  margin-bottom: 10px;
}

.margin-bottom-15 {
  margin-bottom: 15px;
}

.margin-bottom-20 {
  margin-bottom: 20px;
}

.margin-bottom-30 {
  margin-bottom: 30px;
}

.margin-bottom-60 {
  margin-bottom: 60px;
}

.padding-top-10 {
  padding-top: 10px;
}

.padding-top-15 {
  padding-top: 15px;
}

.padding-top-20 {
  padding-top: 20px;
}

.padding-top-30 {
  padding-top: 30px;
}

.padding-top-40 {
  padding-top: 40px;
}

.padding-top-60 {
  padding-top: 60px;
}

.padding-top-120 {
  padding-top: 120px;
}

.padding-bottom-10 {
  padding-bottom: 10px;
}

.padding-bottom-20 {
  padding-bottom: 20px;
}

.padding-bottom-30 {
  padding-bottom: 30px;
}

.padding-bottom-60 {
  padding-bottom: 60px;
}
.padding-10 {
  padding: 10px;
}
.padding-15 {
  padding: 15px;
}
.padding-25 {
  padding: 25px;
}
.margin-left-10 {
  margin-left: 10px;
}

.margin-left-20 {
  margin-left: 20px;
}

.margin-left-30 {
  margin-left: 30px;
}

.margin-left-60 {
  margin-left: 60px;
}

.margin-right-10 {
  margin-right: 10px;
}

.margin-right-20 {
  margin-right: 20px;
}

.margin-right-30 {
  margin-right: 30px;
}

.margin-right-60 {
  margin-right: 60px;
}

.color-black {
  color: #030303 !important;
}

.color-white {
  color: #ffffff !important;
}

.bg-white {
  background: #ffffff !important;
}
.color-red {
  color: #ff0000 !important;
}

.font-bold {
  font-family: 'Avenir-Next-Bold', sans-serif;
}

.clear-margin {
  margin: 0 !important;
}

.clear-padding {
  padding: 0 !important;
}

.clear-both {
  clear: both;
}

.full-height {
  height: 100%;
}

.row-eq-height {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.full-width {
  width: 100%;
}

/*Custom font-size*/
.cus-h1 {
  font-family: 'Avenir-Next-Bold', sans-serif;
  font-size: 36px;
  line-height: 1.5;
}

.cus-h2 {
  font-size: 28px;
  line-height: 1.5;
}

.cus-h3 {
  font-size: 24px;
  line-height: 1.5;
}

.cus-h4 {
  font-size: 18px;
  line-height: 1.5;
}

.cus-h5 {
  font-size: 16px;
  line-height: 1.5;
}

.cus-h6 {
  font-size: 14px;
  line-height: 1.5;
}

.row-center {
  display: flex;
  align-items: center;
}

/*END: Custom font-size*/

.float-left {
  float: left;
}

.float-right {
  float: right;
}

.primary-btn {
  background-color: #ffffff;
  border: none;
  color: #030303;
  font-size: 14px;
  font-weight: bold;
  padding: 15px 15px;
  border-radius: 5px;
  z-index: 10;
  display: inline-block;
  min-width: 200px;
  text-align: center;
  letter-spacing: 2px;
}

.primary-btn:focus,
.primary-btn:hover {
  background-color: #000000;
  color: #ffffff;
  text-decoration: none;
  /*border: 2px solid;*/
}

.secondary-btn {
  background-color: black;
  border: 2px solid black;
  color: #ffffff;
  font-size: 14px;
  font-weight: bold;
  padding: 15px 15px;
  border-radius: 5px;
  z-index: 10;
  display: inline-block;
  letter-spacing: 2px;
  min-width: 200px;
  text-align: center;
}

.secondary-btn:focus,
.secondary-btn:hover {
  background-color: #ffffff;
  color: #000000;
  text-decoration: none;
}

.primary-txt {
  background-color: #101010;
  color: #FFFFFF;
  border: solid 1px red;
  border-radius: 5px !important;
  height: 50px;
  text-transform: uppercase;
}

.primary-txt:focus {
  border: solid 2px red !important;
  background-color: #FFFFFF;
  color: #000000;
  text-transform: uppercase;
}

.secondary-txt {
  background-color: #FFFFFF;
  color: #000000;
  border: solid 1px #000000;
  border-radius: 5px !important;
  height: 50px;
  text-transform: uppercase;
}

.secondary-txt:focus {
  border: solid 2px red !important;
  background-color: #FFFFFF;
  color: #000000;
  text-transform: uppercase;
}

/*Popup animation*/
.wrap {
  position: absolute;
  overflow: hidden;
  top: 10%;
  right: 10%;
  bottom: 85px;
  left: 10%;
  padding: 20px 50px;
  display: block;
  border-radius: 4px;
  transform: translateY(20px);
  transition: all 0.5s;
  visibility: hidden;
  z-index: 9999;
}

.wrap .close {
  display: block;
  position: absolute;
  top: 15px;
  right: 15px;
  font-size: 30px;
  cursor: pointer;
  opacity: 1;
  z-index: 99;
}

.wrap .close:hover {
  color: black;
  opacity: 0.5;
}

.wrap .content {
  opacity: 0;
  margin: 0 !important;
}

.wrap:before {
  position: absolute;
  width: 1px;
  height: 1px;
  background: #f5f5f5;
  content: "";
  bottom: 10px;
  left: 50%;
  top: 95%;
  color: #ffffff;
  border-radius: 50%;
  -webkit-transition: all 300ms cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: all 300ms cubic-bezier(0.215, 0.61, 0.355, 1);
}

.wrap.active {
  display: block;
  visibility: visible;
  box-shadow: 2px 3px 16px silver;
  transition: all 600ms;
  transform: translateY(0px);
  z-index: 9999;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 0;
  background: #f5f5f5;
  margin: 0 !important;
  overflow-y: auto;
  overflow-x: hidden;
}

.wrap.accessory-modal.active {
  overflow-y: hidden;
}

.wrap.coe-modal.active {
  overflow-y: hidden;
}

.wrap.servicing-modal.active {
  overflow-y: hidden;
}

.wrap.active:before {
  height: 2000px;
  width: 2000px;
  border-radius: 50%;
  top: 50%;
  left: 50%;
  margin-left: -1000px;
  margin-top: -1000px;
  display: block;
  -webkit-transition: all 600ms cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: all 600ms cubic-bezier(0.215, 0.61, 0.355, 1);
}

.wrap.active .content {
  position: relative;
  z-index: 1;
  opacity: 1;
  transition: all 600ms cubic-bezier(0.55, 0.055, 0.675, 0.19);
}

/*END: Popup animation*/

/*Error message style*/

.error-messages {
  margin: 0;
  padding-left: 15px;
  color: #ff0000;
}

.success-messages {
  margin: 0;
  padding-left: 15px;
  color: green;
}

/*END: Error message style*/

.letter-spacing {
  letter-spacing: 0.2em !important;
}

.clear-letter-spacing {
  letter-spacing: 0 !important;
}

.not-allowed {
  cursor: not-allowed;
}

.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {
  background-color: #ff0000 !important;
  opacity: 1;
}

.back-to-top {
  cursor: pointer;
  position: fixed;
  bottom: 100px;
  right: 25px;
  display: none;
}

.back-to-top.back-to-top {
  width: 60px;
  height: 60px;
  border-radius: 60px;
  border: 3px solid #fff;
  z-index: 999;
}

.back-to-top.back-to-top:hover {
  background-color: #fff;
}

#back-to-top a span {
  position: absolute;
  top: 35px;
  left: 50%;
  width: 20px;
  height: 20px;
  margin-left: -10px;
  border-right: 3px solid #fff;
  border-top: 3px solid #fff;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
  -webkit-animation: sdb05 1.5s infinite;
  animation: sdb05 1.5s infinite;
  box-sizing: border-box;
}

#back-to-top:hover a span {
  border-right: 3px solid #000;
  border-top: 3px solid #000;
}

@-webkit-keyframes sdb05 {
  0% {
    -webkit-transform: rotate(-45deg) translate(0, 0);
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    -webkit-transform: rotate(-45deg) translate(20px, -20px);
    opacity: 0;
  }
}

@keyframes sdb05 {
  0% {
    transform: rotate(-45deg) translate(0, 0);
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    transform: rotate(-45deg) translate(20px, -20px);
    opacity: 0;
  }
}

.panel-default > .panel-heading + .panel-collapse > .panel-body {
  font-size: 16px;
}
